# PreviewAction QML Type

previewable action. More...

Since: | Qt 1.0
Inherits: | Action

- List of all members, including inherited members

## Properties

- commitLabel : string

## Signals

- cancelled()
- resetted()
- started()

## Detailed Description

The preview action is an action that allows the application to generate a preview of the action before the action is applied. The preview is controlled by the HUD UI.

PreviewActions contain one or more parameters which form the preview parameters of the action.

For more details see Preview Actions

Note: Even though PreviewAction is subclass of Action not all of the properties of Action base class are supported.

Note: Action::parameterType must be Action::None

## Property Documentation

commitLabel : string

User visible label shown in the HUD parameter view.

This is the label shown in the HUD UI on the button that applies or commits the action after the user is happy with the parameters.

If set to empty string the HUD UI will use a default commit label.

## Signal Documentation

cancelled()

Signal to inform that the user has cancelled the action from the HUD UI. No modifications should be done on the application and the program should return to the state it was before the action was first started.

Note: The corresponding handler is `onCancelled`.

resetted()

Signal to inform that the user has clicked the "reset" button from the HUD UI. The action is still active on the HUD UI but the application should reset the values of the parameters to the same values they where when the action was started.

Note: The corresponding handler is `onResetted`.

started()

Signal to inform that a action is selected in the HUD UI. The application should set the values of the parameters to their initial state.

Note: The corresponding handler is `onStarted`.